<table>
    <thead>
        <th><a (click)="orderBy('title')" href="#" class="sort-by">Title</a></th>
        <th><a (click)="orderBy('author')" href="#" class="sort-by">Author</a></th>
        <th><a (click)="orderBy('genre')" href="#" class="sort-by">Genre</a></th>
        <th><a (click)="orderBy('pageNbr')" href="#" class="sort-by">PageNbr</a></th>
        <th><a (click)="orderBy('favourite')" href="#" class="sort-by">Favourite</a></th>
    </thead>
    <tbody>
        <tr *ngFor="let book of library; let i = index">
            <td>{{book.title}}</td>
            <td>{{book.author}}</td>
            <td>{{book.genre}}</td>
            <td>{{book.pageNbr}}</td>
            <td (click)="addFav(i)">{{book.favourite}}</td>
        </tr>
    </tbody>
</table>

<table style="margin-top:30px" >
    <thead>
        <th><a href="#" class="sort-by">My Favourites</a></th>
    </thead>
    <tbody>
        <tr *ngFor="let book of fav; let i = index">
            <td>{{book.title}}</td>
            <td>{{book.author}}</td>
            <td>{{book.genre}}</td>
            <td>{{book.pageNbr}}</td>
            <td>{{book.favourite}}</td>
        </tr>
    </tbody>
</table>